Loading...
Searching...
No Matches
file_probe.c File Reference

file probe More...

`#include "_seap.h"`
`#include <probe-api.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/stat.h>`
`#include <pthread.h>`
`#include <errno.h>`
`#include <limits.h>`
`#include <probe/probe.h>`
`#include <probe/option.h>`
`#include "oval_fts.h"`
`#include "SEAP/generic/rbt/rbt.h"`
`#include "common/debug_priv.h"`
`#include "file_probe.h"`
Include dependency graph for file_probe.c:

## Data Structures

struct | gr_sexps
struct | cbargs
struct | ID_cache

## Macros

#define | PATH_MAX 4096
#define | FILE_SEPARATOR '/'
#define | STR_REGULAR "regular"
#define | STR_DIRECTORY "directory"
#define | STR_SYMLINK "symbolic link"
#define | STR_BLKSPEC "block special"
#define | STR_FIFO "fifo"
#define | STR_SOCKET "socket"
#define | STR_CHARSPEC "character special"
#define | STRLEN_PAIR(str)

## Functions

int | file_probe_offline_mode_supported ()
void * | file_probe_init (void)
void | file_probe_fini (void *arg)
int | file_probe_main (probe_ctx *ctx, void *mutex)

## Detailed Description

file probe

Author
  "Daniel Kopecek" dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m

2010/06/13 dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m This probe is able to process a file_object as defined in OVAL 5.4 and 5.5.

## Macro Definition Documentation

## STRLEN_PAIR

#define STRLEN_PAIR | ( |  | str | ) |

Value:
(str), strlen(str)